Subject: App rendering issue on MacOS

From: Anonymous <[email-masked]>
Date: Sat, 19 Feb 2022 23:43:15 +0000 (UTC)

Package: X2Go ClientVersion: 4.1.2.2

I have a rendering issue when opening the server's application Intellij IDEA. While I'm using a light theme, the background will turn black and the text will have a white background. The application looks fine when the mouse is inactive like when I'm typing. But if there's mouse movement, it will switch to black and white.
You cannot see the actual switch in the screen recording so I took a video to show the problem.
Additional info: It doesn't happen when I use connection ISDN but the machine is tool slow. It also tried it using the same session preferences in Windows 10 and it will work perfectly fine.

Client's Machine: Macbook Air M1 Client's OS: MacOS Monterey (Version 12.0.1)Session preferences:    Session type: XFCE
    Connection: ADSL
    Compression method: 16m-jpeg (it happens to any methods)
    Image quality: 9